Bug 1004979 - Bug in recent X within Qt-based closed source program
Bug in recent X within Qt-based closed source program
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 18:39 EDT by Kenneth Brun Nielsen
Modified: 2015-02-17 12:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:05:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Brun Nielsen 2013-09-05 18:39:51 EDT
Description of problem:
I run a program (Cadence IC6, which is closed source Qt-based) on a remote machine through SSH with X11 forwarding.

After updating my client machine from Fedora17 to Fedora19 64-bit, I get some errors when running the program.

Here is a transcript of parts of the log (the codes differs from time to time - depending on which window elements I click, I guess):

--
Xlib: sequence lost (0x107f2 > 0x19ab) in reply type 0x0!
    libManager Qt Warning: X Error: 0 0
    Major opcode: 113 (X_KillClient)
    Resource id: 0x18b0000
    Xlib: sequence lost (0x10000 > 0x19ab) in reply type 0x0!
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0xff7ff87f
    Xlib: sequence lost (0x10000 > 0x19ac) in reply type 0x2!
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    Xlib: sequence lost (0x10000 > 0x19b3) in reply type 0x0!
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    libManager Qt Warning: X Error: 0 0
    Major opcode: 0 ()
    Resource id: 0x0
    Xlib: sequence lost (0x1411c > 0x19b3) in reply type 0x1c!
    Xlib: sequence lost (0x1230f > 0x19b3) in reply type 0xf!
    Xlib: sequence lost (0x10201 > 0x19b3) in reply type 0x1!
    libManager Qt Warning: Qt-subapplication: Fatal IO error: client killed
--


Also it is reflected in the dmesg of the server:
"libSelect[27710]: segfault at 0000000000000000 rip 00000000081db391 rsp 00000000ffba5380 error 4"

Can it be a bug in X? Everything worked fine, when I was using Fedora 17, so a change in Fedora 19 (X or Qt) provoked this error. Additionally I have used the following X servers: Windows Xming, Centos 5+6, Ubuntu 12.04.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg.x86_64   1.14.2-9.fc19 

How reproducible:
100% (accessing a remote Centos 5 installation of Cadence IC6 http://www.cadence.com/products/cic/Pages/default.aspx )

Steps to Reproduce:
1. Install Cadence IC6.1.5 on Centos 5 server
2. ssh -Y from Fedora 19 client to Centos 5 server
3. Start Cadence (virtuoso) and open Library Manager, and click somewhere in the Library Manager window.

Actual results:
I get the errors and nothing else.

Expected results:
Open drop-down menu or other things dependent on clicked elements.

Additional info:
http://www.cadence.com/community/forums/T/27151.aspx
Comment 1 R G 2013-09-13 10:19:03 EDT
Same problem here !

I just switch from ubuntu 12.04 LTS to fedora 19, and I have exactly the same problem !

1. Cadence IC6.1.5 installed on scientific Linux
2. ssx -X from fedora 19 to SL server
3. No possibility to do anything in lib manager, but also in the selection box of file->open

I can give as information as needed upon request !
Comment 2 R G 2013-09-16 05:15:49 EDT
The problem occurs when using gnome interface on the client side.
When using MATE desktop on the client, no errors occurs.

I do not know wich useful information to provide to help solving this bug, please feel free to ask me !
Comment 3 Mallikarjun 2013-10-13 11:21:15 EDT
I am also having this same problem which 'ssh'ing to cadence server from Fedora 19 system, please help me solve this problem. Thanks.
Comment 5 Mallikarjun 2013-10-14 10:09:56 EDT
This bug is present only in fedora 19 and later versions. In fedora 18, this bug is not there. SSH process to cadence server works fine in fedora 18. Please give me some inputs on how to solve this problem.

Here is exactly what happens-
1. Successful in opening the cadence virtuoso from a remote cadence server in fedora 19.
2. Clicking on the open option and selecting the drop down menu button causes all other processes (including other applications like firefox if opened along with terminal and cadence) to hang and get stuck indefinitely.

Please help me to solve this bug in Fedora 19.

Mallikarjun.
Comment 6 Mallikarjun 2013-10-14 10:14:40 EDT
This bug is prevalent if using Fedora 19 with GNOME desktop. Fedora 18 with GNOME desktop worked fine.
Comment 7 Kenneth Brun Nielsen 2013-11-06 17:33:06 EST
Folks, please also put pressure on Cadence to debug this. I wrote to their support, but got an answer something similar to "unless you have a very good reason to run newest Fedora, then please use an older version". Well, my primary reason is "why don't you just fix it?!" (along with a desire to use latest distros), so I didn't press it further. Maybe it will help if they receive similar request to emphasize the need, so don't just hold your breath:)
Comment 8 Mallikarjun 2013-11-15 12:44:16 EST
I upgraded my OS to Fedora 20 beta, and I am not facing this problem anymore.
Comment 9 Kenneth Brun Nielsen 2013-11-17 13:05:44 EST
(In reply to Mallikarjun from comment #8)
> I upgraded my OS to Fedora 20 beta, and I am not facing this problem anymore.

Great information! I actually tried Fedora 20 about one week ago, and it had still issues. It seems the X server was updated in the mean time (just did it myself in a Fedora 20 install) and now it seems to work.
Comment 10 Mallikarjun 2013-11-17 20:45:12 EST
(In reply to Kenneth Brun Nielsen from comment #9)
> (In reply to Mallikarjun from comment #8)
> > I upgraded my OS to Fedora 20 beta, and I am not facing this problem anymore.
> 
> Great information! I actually tried Fedora 20 about one week ago, and it had
> still issues. It seems the X server was updated in the mean time (just did
> it myself in a Fedora 20 install) and now it seems to work.

Yes, install Fedora 20 beta and update the system with latest packages. The problem will be solved. Cheers.
Comment 11 Mallikarjun 2013-11-18 07:00:05 EST
This problem is solved due to the latest upgrade of Xorg server
(xorg-x11-server-Xorg-1.14.4-3.fc19.x86_64).
Comment 12 Mallikarjun 2013-11-18 07:00:26 EST
This problem is solved due to the latest upgrade of Xorg server
(xorg-x11-server-Xorg-1.14.4-3.fc20.x86_64).
Comment 13 Fedora End Of Life 2015-01-09 14:44:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 12:05:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.